Subject: Re: [PATCH 1/7] powerpc: Reduce footprint of irq_stat

From: Christoph Hellwig <[email-masked]>
Date: Tue, 2 Feb 2010 09:19:40 +0100

On Tue, Feb 02, 2010 at 10:07:10AM +1100, Benjamin Herrenschmidt wrote:
> On Mon, 2010-02-01 at 22:55 +0100, Christoph Hellwig wrote:
> 
> > > +typedef struct {
> > > +	unsigned int __softirq_pending;
> > > +} ____cacheline_aligned irq_cpustat_t;
> > 
> > No need to bother with an irq_cpustat_t type at all in this case, just
> > declare a softirq_pending per-cpu variable.
> 
> I think his subsequent patches add members to that struct for
> CE, MCE etc... stats.

Well, if you want those in a structure for arch-local reasons please
give them an arch-local name.  I really want to get rid of the current
concept of a generic irq_cpustat_t - it doens't make much sense in
it's current form.  Instead the API will be the local_softirq_pending()
function/macro with arch specific or a generic implementation.